<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>FileHandlerListenerAdapter (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FileHandlerListenerAdapter (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileHandlerListenerAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html" title="interface in org.apache.commons.configuration2.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/io/FileHandlerListenerAdapter.html" target="_top">Frames</a></li>
<li><a href="FileHandlerListenerAdapter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.io</div>
<h2 title="Class FileHandlerListenerAdapter" class="title">Class FileHandlerListenerAdapter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.io.FileHandlerListenerAdapter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io">FileHandlerListener</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FileHandlerListenerAdapter</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io">FileHandlerListener</a></pre>
<div class="block"><p>
 An adapter class simplifying the implementation of custom
 <code>FileHandlerListener</code> classes.
 </p>
 <p>
 This class provides empty dummy implementations for all methods defined by
 the <code>FileHandlerListener</code> interface. Custom listener implementations
 can extend this adapter class and override only the methods they actually
 need.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: FileHandlerListenerAdapter.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListenerAdapter.html#FileHandlerListenerAdapter--">FileHandlerListenerAdapter</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListenerAdapter.html#loaded-org.apache.commons.configuration2.io.FileHandler-">loaded</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</code>
<div class="block">Notification that the associated file has been loaded.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListenerAdapter.html#loading-org.apache.commons.configuration2.io.FileHandler-">loading</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</code>
<div class="block">Notification that the associated file is about to be loaded.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListenerAdapter.html#locationChanged-org.apache.commons.configuration2.io.FileHandler-">locationChanged</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</code>
<div class="block">Notification that a property of the monitored <code>FileHandler</code> has
 changed.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListenerAdapter.html#saved-org.apache.commons.configuration2.io.FileHandler-">saved</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</code>
<div class="block">Notification that the associated file has been saved.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListenerAdapter.html#saving-org.apache.commons.configuration2.io.FileHandler-">saving</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</code>
<div class="block">Notification that the associated file is about to be saved.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FileHandlerListenerAdapter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FileHandlerListenerAdapter</h4>
<pre>public&nbsp;FileHandlerListenerAdapter()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="loading-org.apache.commons.configuration2.io.FileHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loading</h4>
<pre>public&nbsp;void&nbsp;loading(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html#loading-org.apache.commons.configuration2.io.FileHandler-">FileHandlerListener</a></code></span></div>
<div class="block">Notification that the associated file is about to be loaded. This method
 is called immediately before the load operation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html#loading-org.apache.commons.configuration2.io.FileHandler-">loading</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io">FileHandlerListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the file handler</dd>
</dl>
</li>
</ul>
<a name="loaded-org.apache.commons.configuration2.io.FileHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loaded</h4>
<pre>public&nbsp;void&nbsp;loaded(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html#loaded-org.apache.commons.configuration2.io.FileHandler-">FileHandlerListener</a></code></span></div>
<div class="block">Notification that the associated file has been loaded. This method is
 called directly after the load operation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html#loaded-org.apache.commons.configuration2.io.FileHandler-">loaded</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io">FileHandlerListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the file handler</dd>
</dl>
</li>
</ul>
<a name="saving-org.apache.commons.configuration2.io.FileHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saving</h4>
<pre>public&nbsp;void&nbsp;saving(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html#saving-org.apache.commons.configuration2.io.FileHandler-">FileHandlerListener</a></code></span></div>
<div class="block">Notification that the associated file is about to be saved. This method
 is called immediately before the save operation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html#saving-org.apache.commons.configuration2.io.FileHandler-">saving</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io">FileHandlerListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the file handler</dd>
</dl>
</li>
</ul>
<a name="saved-org.apache.commons.configuration2.io.FileHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saved</h4>
<pre>public&nbsp;void&nbsp;saved(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html#saved-org.apache.commons.configuration2.io.FileHandler-">FileHandlerListener</a></code></span></div>
<div class="block">Notification that the associated file has been saved. This method is
 called directly after the save operation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html#saved-org.apache.commons.configuration2.io.FileHandler-">saved</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io">FileHandlerListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the file handler</dd>
</dl>
</li>
</ul>
<a name="locationChanged-org.apache.commons.configuration2.io.FileHandler-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>locationChanged</h4>
<pre>public&nbsp;void&nbsp;locationChanged(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html#locationChanged-org.apache.commons.configuration2.io.FileHandler-">FileHandlerListener</a></code></span></div>
<div class="block">Notification that a property of the monitored <code>FileHandler</code> has
 changed.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html#locationChanged-org.apache.commons.configuration2.io.FileHandler-">locationChanged</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io">FileHandlerListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the file handler</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileHandlerListenerAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html" title="interface in org.apache.commons.configuration2.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/io/FileHandlerListenerAdapter.html" target="_top">Frames</a></li>
<li><a href="FileHandlerListenerAdapter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
